Apple has released a security update for multiple Mac systems, which, among other repairs, patches a recenlty disclosed flaw in AirPort.

The AirPort flaw was revealed on 1 November by security researcher HD Moore. It affects Proxim Wireless Orinoco cards shipped with eMac, iBook, iMac, PowerBook G3, PowerBook G4 and Power Mac G4 systems built between 1999 and 2003, Apple confirmed. It does not affect AirPort Express cards.

Security Update 2006-007 updates a total of 22 system elements. Versions of the update are available for Mac OS X 10.3.9 Client and Server systems; along with versions for Mac OS X 10.4.8 (for Intel, Power PC, Client and Server systems.

Other components affected by this update include ATS, CFNetwork, Finder, Font Book, Font Importer, Installer, OpenSSL, PHP, PPP, Samba, Security, Framework, VPN, WebKit, gnuzip and perl.

The update is available through Software Update or for direct download from Apple's website.

Specific updates for your system are available from this Apple website page.